# H245_ConferenceRequest_requestTerminalCertificate Class Reference

`#include <h245.h>`

Inheritance diagram for H245_ConferenceRequest_requestTerminalCertificate:

List of all members.

## Public Types

enum | OptionalFields { e_terminalLabel, e_certSelectionCriteria, e_sRandom }

## Public Member Functions

| H245_ConferenceRequest_requestTerminalCertificate (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H245_TerminalLabel | m_terminalLabel
H245_CertSelectionCriteria | m_certSelectionCriteria
PASN_Integer | m_sRandom

## Member Enumeration Documentation

enum H245_ConferenceRequest_requestTerminalCertificate::OptionalFields

Enumerator:

  e_terminalLabel |
  e_certSelectionCriteria |
  e_sRandom |

## Constructor & Destructor Documentation

H245_ConferenceRequest_requestTerminalCertificate::H245_ConferenceRequest_requestTerminalCertificate | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_ConferenceRequest_requestTerminalCertificate::GetDataLength | ( |  | ) | const

PBoolean H245_ConferenceRequest_requestTerminalCertificate::Decode | ( | PASN_Stream & | strm | ) |

void H245_ConferenceRequest_requestTerminalCertificate::Encode | ( | PASN_Stream & | strm | ) | const

void H245_ConferenceRequest_requestTerminalCertificate::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_ConferenceRequest_requestTerminalCertificate::Compare | ( | const PObject & | obj | ) | const

PObject* H245_ConferenceRequest_requestTerminalCertificate::Clone | ( |  | ) | const

## Member Data Documentation

H245_TerminalLabel H245_ConferenceRequest_requestTerminalCertificate::m_terminalLabel

H245_CertSelectionCriteria H245_ConferenceRequest_requestTerminalCertificate::m_certSelectionCriteria

PASN_Integer H245_ConferenceRequest_requestTerminalCertificate::m_sRandom

The documentation for this class was generated from the following file:

- h245.h